Subject: bug#15692: 24.3.50; rcirc activity mode-line indicator gets cleared automatically

From: Tassilo Horn <[email-masked]>
Date: Wed, 23 Oct 2013 17:09:55 +0200

Tassilo Horn <[email-masked]> writes:

> I also added a message in there plus a (debug) when rcirc-activity
> turns nil, but of course since I've done that it's working properly
> for a much too long time...  Really strange.  Is there any chance that
> the bug occurs only in compiled code?

It really seems so.  To be sure I've restarted emacs, turned on rcirc,
and then the activity indicator frequently switched back to [] (i.e.,
rcirc-activity was somehow switched to nil) as I've reported.

But as soon as I evaluate the definition of `rcirc-record-activity'
using C-x C-e, the resetting of `rcirc-activity' to nil doesn't happen
anymore.  That's absolutely reproducible.

Bye,
Tassilo